package com.kodcu.mapreduce;

import java.util.ArrayList;
import java.util.List;
import java.util.Optional;
import java.util.concurrent.ThreadLocalRandom;

/**
 * Created with IntelliJ IDEA.
 * User: usta
 * Date: 12/13/12
 * Time: 2:47 PM
 * To change this template use File | Settings | File Templates.
 */
public class CevizAyiklamaMakinesi {

    public static void main(String[] args) {

       List<Ceviz> cevizList=new ArrayList<>();

       for(int i=0;i<10;i++){
         Double tam= ThreadLocalRandom.current().nextDouble(17,42);
         Double kabuk= ThreadLocalRandom.current().nextDouble(8,15);

         cevizList.add(new Ceviz(kabuk,tam)) ;
       }

        Optional<Double> zaiyat=cevizList.stream().map(e->(e.getKabuk())).reduce(CevizAyiklamaMakinesi::ayikla);

        System.out.println("Toplam zaiyat: "+zaiyat.get());
    }

    public static Double ayikla(Double kadar,Double suanki){

        return kadar+suanki;
    }
}
