package com.kodcu.senaryo;

import java.util.Optional;

/**
 * Created with IntelliJ IDEA.
 * User: usta
 * Date: 12/12/12
 * Time: 9:16 PM
 * To change this template use File | Settings | File Templates.
 */
public class CollTest {

    public static void main(String[] args) {

        // Senaryo

       // 10D sınıfından tuttuğu takım GS olan öğrencilerin yaslarının toplamı


       Sinif sinif=SinifOlusturucu.create();

     Optional<Integer> sonuc =
                sinif.getOgrenciler()
                .stream()
                .filter(e -> (e.getTakim() == Takim.GS))
                .map(e -> (e.getYas()))
                .reduce(CollTest::topla);

      System.out.println(sonuc.get()+"");

   // 10D sınıfından tuttuğu takım BJK olan öğrencilerin yaslarının ortalaması

        Optional<Integer> sonuc2 =
                sinif.getOgrenciler()
                        .stream()
                        .filter(e -> (e.getTakim() == Takim.BJK))
                        .map(e -> (e.getYas()))
                        .reduce(CollTest::ortala);

        System.out.println(sonuc2.get()+"");


        // 10D sıfından tuttuğu takım KYS veya TRB olan
        // ve yası 18 den kücük-eşit olan öğrencilerin isimleri

        sinif.getOgrenciler().stream()
                .filter(e->(e.getTakim()==Takim.KYS || e.getTakim()==Takim.TRB ))
                .filter(f->(f.getYas()<=18))
               // .map(g->(g.getOgrenciAdi()))
                .forEach(h->{
                    System.out.println("Yaşlar: "+h);
                });



        // 10 D sınıfından yası 17 olanların isimlerinin
        // paralel olarak küçükten büyüğe sıralanması ve ardışık listelenmesi

        sinif.getOgrenciler()
                .parallel()
                .filter(e -> (e.getYas() == 17))
                .sorted(CollTest::sirala)
                .forEach(e->{
                    System.out.println("Sıralı"+e);
                });

    }

    public static Integer ortala(Integer kadar, Integer sonra){

        return (kadar+sonra)/2;
    }

    public static Integer topla(Integer kadar,Integer sonra){
        return kadar+sonra;
    }

    public static int sirala(Ogrenci o1,Ogrenci o2){
       return o1.getYas().compareTo(o2.getYas());
    }
}
